Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Is there any chance that GNOME 3.6 or some of its components be backported to Ubuntu 12.04? Or should I upgrade to 12.10 to get GNOME 3.6?

share|improve this question

1 Answer 1

Ubuntu 12.04 is a Long Term Support version of Ubuntu and it is supported with maintenance and security updates for 5 years. Ubuntu uses Unity as its Desktop User interface and will be supported as scheduled with updates that mostly are bugfixing and not things that may drastically alter the user experience or break the system.

On the other hand Gnome 3.6 (I think you refer to Gnome Shell) is maintained by the Gnome Community and the only way to stay up-to date is to use the external, unofficial repositories. The PPA's that are available for gnome will eventually back-port the 3.6, but that may break your system if you don't know what you are up to.

There are many changes in the Gnome libraries that are not fully compatible with 12.04 and it is better to upgrade to 12.10 when it is ready. This version will sync its GTK3 libraries with the upstream Gnome 3 and it will be more comfortable to you to have Gnome 3.6.

Also, there is a Ubuntu 12.10 Gnome Remix (Gnomubuntu) that will be designed to meet the needs of people who want Gnome Shell 3.x instead of Unity.

share|improve this answer
3  
The PPA that you linked will never have a backported Gnome 3.6 for 12.04. –  James Oct 21 '12 at 3:22

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.